﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinFormsApp1
{
    public static class TimeUtil
    {
        static DateTime _etCreated = new DateTime(2010, 6 + 1, 12, 0, 0, 0, DateTimeKind.Utc);
        static double _etEpoch = GetTime(_etCreated) - 9 * 60 * 60 * 1000;
        // static double _etEpoch = GetTime(_etCreated); // 원래는 UTC - 9시간을 할 필요가 없었지만!

        public static long GetTime(this DateTime time)
        {
            return (time.Ticks - 621355968000000000) / TimeSpan.TicksPerMillisecond;
        }

        public static double CurrentEorzeaTime
        {
            get
            {
                double time = ((GetTime(DateTime.UtcNow) - _etEpoch) / 1000 - 90000) * (1440.0 / 70);
                return time;
            }
        }
    }
}
